tephra-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Terence Yim (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TEPHRA-177) compatibility module doesn't work properly with CDH5.7
Date Tue, 28 Jun 2016 18:59:57 GMT

    [ https://issues.apache.org/jira/browse/TEPHRA-177?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15353537#comment-15353537
] 

Terence Yim commented on TEPHRA-177:
------------------------------------

Do you still have the stacktrace/class/method name of the one in question?

> compatibility module doesn't work properly with CDH5.7
> ------------------------------------------------------
>
>                 Key: TEPHRA-177
>                 URL: https://issues.apache.org/jira/browse/TEPHRA-177
>             Project: Tephra
>          Issue Type: Bug
>          Components: tephra-hbase-compat-1.1
>    Affects Versions: 0.7.1
>            Reporter: Sean Busbey
>            Assignee: Poorna Chandra
>            Priority: Blocker
>
> The "Getting Started" guide for 0.7.1 claims that users of the CDH5.7 dsitro of HBase
should make use of the tephra-hbase-compat-1.1 module.
> Unfortunately, that module is only _source_ compatible with both the Apache HBase 1.1
release, Apache HBase 1.2 release, and the CDH5.7 packaging. Since the binaries are built
against the Apache HBase 1.1 binary artifacts, attempting to use it with CDH5.7 jar results
in several NoSuchMethodExceptions because of a change in return types (done to maintain CDH5
API compatibility).
> Workaround: build jars against the cdh5.7 specific jar artifacts (which also requires
changing the configuration factory test that looks at the hbase version).



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message